Trend Micro Apex One Authentication Bypass Vulnerability

2020-09-25T00:00:00
ID ZDI-20-1218
Type zdi
Reporter @Kharosx0
Modified 2020-09-25T00:00:00

Description

This vulnerability allows local attackers to escalate privileges on affected installations of Trend Micro Apex One. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability. The specific flaw exists within the ApexOne Security Agent. The issue results from allowing authentication to be bypassed via a modified client that omits the authentication check. An attacker can leverage this vulnerability to escalate privileges and execute code in the context of SYSTEM.